%define		_state		stable
%define		orgname		klines
%define		qtver		4.8.0

Summary:	Lines for KDE
Summary(pl.UTF-8):	Gra Lines dla KDE
Name:		kde4-%{orgname}
Version:	4.14.3
Release:	2
License:	GPL
Group:		X11/Applications/Games
Source0:	http://download.kde.org/%{_state}/%{version}/src/%{orgname}-%{version}.tar.xz
# Source0-md5:	19049a7ac5f392bb5cf9653218501774
BuildRequires:	automoc4 >= 0.9.88
BuildRequires:	cmake >= 2.8.0
BuildRequires:	kde4-kdelibs-devel >= %{version}
BuildRequires:	kde4-libkdegames-devel >= %{version}
BuildRequires:	qt4-build >= %{qtver}
BuildRequires:	qt4-qmake >= %{qtver}
BuildRequires:	rpmbuild(macros) >= 1.600
Obsoletes:	kde4-kdegames-%{orgname}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Lines for KDE. The main rules of game is as simple as possible: you
move (using mouse) marbles from cell to cell and build lines
(horizontal, vertical or diagonal). When a line contains 5 or more
marbles - they are removed from the field and your score grows. After
each of your turns computer drops three more marbles onto the field.

%description -l pl.UTF-8
Gra Lines dla KDE. Podstawowe zasady gry są najprostsze jak to
możliwe: przesuwa się (przy użyciu muszy) klocki z pola na pole i
buduje linie (poziome, pionowe lub ukośne). Kiedy linia zawiera 5 lub
więcej klocków - są usuwane z pola i wynik wzrasta. Po każdym ruchu
gracza komputer zrzuca trzy dodatkowe klocki.

%prep
%setup -q -n %{orgname}-%{version}

%build
install -d build
cd build
%cmake \
	../

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} -C build install \
	DESTDIR=$RPM_BUILD_ROOT \
	kde_htmldir=%{_kdedocdir}

install -d $RPM_BUILD_ROOT/var/games
# remove locolor icons
rm -rf $RPM_BUILD_ROOT%{_iconsdir}/locolor

%find_lang %{orgname}	--with-kde

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{orgname}.lang
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/klines
%{_desktopdir}/kde4/klines.desktop
%{_datadir}/config.kcfg/klines.kcfg
%{_datadir}/apps/klines
%{_iconsdir}/*/*/apps/klines.png
%changelog
* Wed Oct 02 2019 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/kde4-klines.git;a=log;h=master

* Wed Oct 02 2019 Jan Rękorajski <baggins@pld-linux.org> 2c3776d
- rebuild for g++ ABI changes
- release 2 (by relup.sh)

* Sat Nov 15 2014 Jan Rękorajski <baggins@pld-linux.org> 661d778
- updated to 4.14.3 (by update-kde4.sh)

* Mon Aug 25 2014 Witold Filipczyk <witekfl@poczta.onet.pl> 8c2dc51
- updated to 4.14.0

* Tue Jun 10 2014 Witold Filipczyk <witekfl@poczta.onet.pl> ff834ff
- updated to 4.13.2 (by update-kde4.sh)

* Wed May 14 2014 Witold Filipczyk <witekfl@poczta.onet.pl> 1ab7037
- updated to 4.13.1 (by update-kde4.sh)

* Sun May 11 2014 Witold Filipczyk <witekfl@poczta.onet.pl> 37b6f36
- up to 4.13.0

* Thu Apr 10 2014 Witold Filipczyk <witekfl@poczta.onet.pl> afd903b
- updated to 4.12.4 (by update-kde4.sh)

* Wed Mar 05 2014 Witold Filipczyk <witekfl@poczta.onet.pl> c134135
- updated to 4.12.3 (by update-kde4.sh)

* Wed Feb 05 2014 Witold Filipczyk <witekfl@poczta.onet.pl> 6e5fb20
- updated to 4.12.2 (by update-kde4.sh)

* Sun Jan 19 2014 Witold Filipczyk <witekfl@poczta.onet.pl> d500801
- updated to 4.12.1 (by update-kde4.sh)

* Tue Dec 24 2013 Witold Filipczyk <witekfl@poczta.onet.pl> c60a48c
- new, based on kde4-kdegames

